<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

define('NTOP', 1);
$title = 'Категории';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
echo '<link rel="stylesheet" type="text/css" href="/ulty/cat.css">';
if ($u['level'] == 2) { 
} else {
}
 $id_site = $_GET['id_site'];
//if ($id_site == '6' OR $act == 'new') echo '<div id="nct34740_1"></div>';
		
switch($act)
	{
default:

echo '<div class="title"><b>Категории </b></div>';
		$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `position`");


		while($cat = mysql_fetch_array($cats))
			{
if ($cat['id'] == '6') {
$ero = '';
} else {
$ero = " AND  `newsait` = '1' AND `vip` != '1'";
}
$count_sites = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `category` = '".$cat['id']."' AND `status` = '1' AND `hosts` > '0'".$ero.""));
$div = '';
echo '<a class="link" style="border-top: 1px solid #fcfcfc; color: #333;" href="http://'.$set['home'].'/m/category/view/'.$cat['id'].'">'.$cat['name'].' ('.$count_sites.')</a>';
			}
			
		break;
		case 'view':
		$isset = mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` = '".$id."'");
		if(mysql_num_rows($isset) > 0)
			{
				$catt = mysql_fetch_array($isset);
echo '<div class="title2">'.$catt['name'].'</div>';
if ($id == '6') {
$ero = '';
} else {
$ero = " AND `newsait` = '1' AND `vip` != '1'";
}
$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `category` = '".$id."' AND `status` = '1' AND `ban` = '0' AND `hosts` > '0'".$ero.""));

				if($count > 0)
					{
						$total=intval(($count-1)/$page_sait)+1; 
						$page=abs(intval($_GET['page'])); 
						if(empty($page) OR $page < 0)
							{
								$page = 1; 
							}
						if($page > $total)
							{
								$page = $total; 
							}
						$past=intval($count/$page_sait);  
						$start=$page*$page_sait-$page_sait; 

$saits = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `category` = '".$id."' AND `status` = '1' AND `ban` = '0' AND `hosts` > '0'".$ero." ORDER BY `hosts` DESC LIMIT ".$start.",".$page_sait."");
												while($row = mysql_fetch_array($saits)) 
							{
						
$start++;


if ($u['level'] == 2) { 
$adm = '<a href="/adm_panel/platforms.php?act=edit_sait&id='.$row['id'].'">Редактировать</a>';
} else {
$adm = '';
}
if ($id_site == $row['id']) {
$nach = '<div style="background: #fed0ed; color: #842461;">';
$kon = '</div>';
} else {
$nach = '';
$kon = '';
}

echo $div_stat.$nach.'<table><tbody><tr><td width="3%">'.$div_span.''.$start.'</span></td>
<td width="100%">'.($start < 4 ? '<img src="/text/'.$start.'.png" alt="'.$start.'"> ' : ($_SESSION['anim'] == 'on' ? '<img src="http://www.google.com/s2/favicons?domain='.$row['url'].' alt="KeoTop.Ru"/>' : '')).' <a href="http://'.$set['home'].'/out/'.$row['id'].'">';
if ($start == 1) echo '<font color="blue"><b>'.$row['url'].'</b></font>';
elseif ($start == 2) echo '<font color="red"><b>'.$row['url'].'</b></font>';
elseif ($start == 3) echo '<font color="green"><b>'.$row['url'].'</b></font>';
else echo '<b>'.$row['url'].'</b>';

echo '</a>  <b>'.$row['hosts'].'</b> | <b>'.$row['hits'].'</b> '.($row['vip'] == 1 ? '<img src="/text/vip.png" alt="VIP">' : '').' '.$adm.'
<br />';
if(mb_strlen($row['about']) > 70)
{
$text = substr($row['about'],0,100);
echo ''.$text.'...';
}
else
{
echo ''.$row['about'].'';
}
echo '<br>В топ: <b>'.$row['in'].'</b> | Из топа: <b>'.$row['out'].'</b><br></td><td width="5%">';
if ($row['skrit'] == 1 AND $row['id_user'] !== $user_data['id'] AND $user_data['level'] != 2) {
echo '<img src="/text/stat.png">';
} else {
echo '<a href="http://'.$set['home'].'/site/'.$row['url'].'"><img src="/text/stat2.png"></a>';
}
echo '</td></tr></tbody></table>'.$kon.'</div><br />';
}

					navigation($count,$page_sait,$page,'http://'.$set['home'].'/m/category/view/'.$id.'/',$total);
				}
				else
					{
						echo '<div class="topni">';
						echo 'Сайтов в данной категории нет!</div>';
						echo '<div class="topni">';
						echo '<a href="http://'.$set['home'].'/m/category">К списку категорий</a><br/>';
						echo '</div>';
					}
			}
		else
			{
				echo '<div class="error">';
				echo 'Ошибка!Данной категории не существует!<br/>';
				echo '<a href="http://'.$set['home'].'/m/category">К списку категорий</a><br/>';
				echo '</div>';
			}
		break;


	}


require_once ('foot.php');
?>